Publications
Request a text reply to a stored public comment
POST
header
AuthorizationBearer <Postdot API key>A user-owned Postdot API key sent as Authorization: Bearer <token>. Its project scope is limited by the creator’s current access.
projectId*stringLength
1 <= lengthpublicationId*stringLength
1 <= length- body
requestId*stringFormat
uuidparentUri*stringLength
length <= 2048text*stringLength
1 <= length <= 3000Response for status 200
application/json- response
replies*array<>nextBefore*string|nullcanReply*booleanaccountName*string|nullprovider*stringValue in
"bluesky""mastodon"textLimit*integerinstanceOrigin*string|nullcurl -X POST 'https://postbot.example/api/projects/string/publications/string/comments/replies' \
-H 'Content-Type: application/json' \
-d '{
"requestId": "d385ab22-0f51-4b97-9ecd-b8ff3fd4fcb6",
"parentUri": "string",
"text": "string"
}'Example Response
{
"replies": [
{
"id": "string",
"parentUri": "string",
"text": "string",
"state": "pending",
"authorName": "string",
"createdAt": 0,
"updatedAt": 0,
"externalUrl": "string",
"lastError": "string"
}
],
"nextBefore": "string",
"canReply": true,
"accountName": "string",
"provider": "bluesky",
"textLimit": 0,
"instanceOrigin": "string"
}